@font-face {
  font-family: 'Spectral';
  src: url('../font/Spectral/Spectral-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

/* REGULAR (400) */
@font-face {
  font-family: 'Spectral';
  src: url('../font/Spectral/Spectral-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* MEDIUM (500) */
@font-face {
  font-family: 'Spectral';
  src: url('../font/Spectral/Spectral-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Spectral';
  src: url('../font/Spectral/Spectral-MediumItalic.ttf') format('truetype');
  font-weight: 500;
  font-style: italic;
  font-display: swap;
}

/* SEMIBOLD (600) */
@font-face {
  font-family: 'Spectral';
  src: url('../font/Spectral/Spectral-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

/* BOLD (700) */
@font-face {
  font-family: 'Spectral';
  src: url('../font/Spectral/Spectral-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
/* ----- Montserrat ----- */
/* LIGHT MONTSERRAT (300) */
@font-face {
  font-family: 'Montserrat';
  src: url('../font/Montserrat/Montserrat-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

/* REGULAR MONTSERRAT (400) */
@font-face {
  font-family: 'Montserrat';
  src: url('../font/Montserrat/Montserrat-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* MEDIUM MONTSERRAT (500) */
@font-face {
  font-family: 'Montserrat';
  src: url('../font/Montserrat/Montserrat-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

/* SEMIBOLD MONTSERRAT (600) */
@font-face {
  font-family: 'Montserrat';
  src: url('../font/Montserrat/Montserrat-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

/* BOLD MONTSERRAT (700) */
@font-face {
  font-family: 'Montserrat';
  src: url('../font/Montserrat/Montserrat-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}


:root {
	/* WARNA */
	--warna-primer: #717272; /* abu" */
	--warna-sekunder: #7A7369; /* coklat */
	/* --------------------- */
	--warna-aksen: #E8E3DC; /* cream */
	--warna-teks: #878787; /* dark" */
	--warna-latar: #ffffff; /* putih */
	--warna-batas: #BDBDBD; /* abu" muda */
  --warna-dark: #333333;
	
	/* FONT */
	--font-utama: 'Spectral', Helvetica, Arial, sans-serif;
	--font-sekunder: 'Montserrat', Helvetica, Arial, sans-serif;

	
	/* SPASI & UKURAN */
	--spasi-sm: 8px;
	--spasi-md: 16px;
	--spasi-lg: 24px;
	--radius-md: 8px;
  --mobile: 480px;
}
.font-primary {font-family: var(--font-utama);}
.font-secondary {font-family: var(--font-sekunder);}
.content-title h1.italic {
	line-height: 1;
	font-family: var(--font-utama);
}
.content-title h1.welcome-txt {
	font-family: var(--font-sekunder);
	@media (max-width: 480px) {
		font-size: 1.5rem;
	}
}

input,
select,
textarea {
	width: 100%;
	font-size: 1rem;
	padding: 7px 5px;
	height: 47px;
	border: 1px solid var(--warna-primer);
	border-radius: 0;
}
label,
div strong {
	font-family: var(--font-sekunder);
}
.form-check-input:checked {
	background-color: var(--warna-sekunder) !important;
	border-color: var(--warna-sekunder) !important;
}
input[type="checkbox"] {
	width: fit-content;
}

.submit-btn {
	border-radius: 0;
	border: none;
	background-color: var(--warna-primer);
	color: var(--warna-latar);
	font-family: var(--font-sekunder);
	padding: 10px;
	min-width: 200px;
	max-width: 250px;
	cursor: pointer;
}
a.submit-btn {
	text-decoration: none !important;
	color: var(--warna-latar) !important;
	min-width: 200px;
	display: inline-block;
	text-align: center;
	padding: 6px;
	border: 1px solid var(--warna-primer);
}
a.submit-btn.btn-outline:hover {
	text-decoration: none !important;
	color: var(--warna-latar) !important;
	background-color: var(--warna-primer);
}
.submit-btn.btn-outline {
	color: var(--warna-primer) !important;
	background-color: var(--warna-latar);
	border: 1px solid var(--warna-primer);
}

.register-link {
	display: inline-block;
}

#form-input a {
	color: var(--warna-sekunder);
}
.swal2-title {
	font-family: var(--font-sekunder);
	color: var(--warna-primer);
}
.swal2-confirm {
	background-color: var(--warna-sekunder);
}
.swal2-confirm:hover {
	background-color: var(--warna-primer);
}
.swal2-html-container {
	font-family: var(--font-sekunder);
	color: var(--warna-primer);
}

/* old css */
/* Privilege Club::Page */
.title-account {
  display: flex;
  flex-direction: row;
  padding-top: 2rem;
  flex-wrap: nowrap;
}

.title-account .title-txt {
  display: flex;
  flex-direction: row;
  justify-content: start;
  padding: 0;
  flex-wrap: wrap;
}

.point {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.point #name {
  color: var(--warna-primer);
  font-weight: 600;
  font-size: 1.2rem;
}

.point .box-point {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  background-color: var(--color-white);
  color: var(--warna-primer);
  justify-content: space-between;
  align-items: center;
  padding: 1rem;
  border: 1px solid var(--warna-primer);
}

.point .box-point .total-point {
  font-size: 1.7rem;
  font-weight: 400;
}

.point .box-point .total-point small {
  font-size: 0.9rem;
}

.point .box-point a {
  font-size: 0.9rem;
  color: var(--warna-primer);
  font-weight: 400;
}

.card-member {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  margin-top: 25px;
}

.card-member .card {
  padding: 0;
  border: none;
  width: 12%;
  position: relative;
}

.card-member .card.active {
  width: 25%;
}

.card-member .card.active .wrap-number {
  color: #f1f1f1;
  position: absolute;
  left: 1rem;
  bottom: 1rem;
  display: flex;
  flex-direction: column;
  gap: 10px;
  line-height: 7px;
  font-weight: 200;
  text-transform: uppercase;
}

.card-member .card.active .wrap-date {
  position: absolute;
  right: 1rem;
  bottom: 1rem;
  display: flex;
  flex-direction: column;
  gap: 10px;
  line-height: 7px;
  font-weight: 100;
  color: #f1f1f1;
  text-transform: uppercase;
}

.card-member .card.active .wrap-number .number-member {
  font-size: 1em;
}

.card-member .card.active .wrap-number .name-member {
  font-size: .7em;
}

.card-member .card.active .wrap-date .txt-date{
  font-size: .39rem;
}
.card-member .card.active .wrap-date .date {
  font-size: .7rem;
}

.card-member .card img {
  border-radius: 7px;
  @media (max-width: 480px) {
  	border-radius: 2px;
  }
}

.card-member .card.active img {
  border-radius: 10px;
  @media (max-width: 480px) {
  	border-radius: 3px;
  }
}

.card-member .card.lock img {
  opacity: 50%;
}

.card-member .card.lock::before {
  content: "";
  position: absolute;
  background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3C!-- Creator: CorelDRAW --%3E%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' width='9.6474mm' height='9.6474mm' version='1.1' style='shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd'%0AviewBox='0 0 11.46 11.46' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:xodm='http://www.corel.com/coreldraw/odm/2003'%3E%3Cdefs%3E%3Cstyle type='text/css'%3E%3C!%5BCDATA%5B .fil0 %7Bfill:%239E8948%7D .fil1 %7Bfill:white%7D %5D%5D%3E%3C/style%3E%3C/defs%3E%3Cg id='Layer_x0020_1'%3E%3Cmetadata id='CorelCorpID_0Corel-Layer'/%3E%3Cg id='_1785159535920'%3E%3Ccircle class='fil0' cx='5.73' cy='5.73' r='5.73'/%3E%3Cg%3E%3Cpath class='fil1' d='M4.15 5.01c-0.15,0 -0.27,0.12 -0.27,0.27l0 3.07c0,0.15 0.12,0.27 0.27,0.27l3.17 0c0.15,0 0.27,-0.12 0.27,-0.27l0 -3.07c0,-0.15 -0.12,-0.27 -0.27,-0.27l-3.17 0zm3.17 4.17l-3.17 0c-0.46,0 -0.84,-0.38 -0.84,-0.84l0 -3.07c0,-0.46 0.38,-0.84 0.84,-0.84l3.17 0c0.46,0 0.84,0.38 0.84,0.84l0 3.07c0,0.46 -0.38,0.84 -0.84,0.84z'/%3E%3Cpath class='fil1' d='M6.75 4.76c-0.16,0 -0.29,-0.13 -0.29,-0.29l0 -0.89c0,-0.4 -0.33,-0.73 -0.73,-0.73 -0.4,0 -0.73,0.33 -0.73,0.73l0 0.89c0,0.16 -0.13,0.29 -0.29,0.29 -0.16,0 -0.29,-0.13 -0.29,-0.29l0 -0.89c0,-0.72 0.58,-1.3 1.3,-1.3 0.72,0 1.3,0.58 1.3,1.3l0 0.89c0,0.16 -0.13,0.29 -0.29,0.29z'/%3E%3Cpath class='fil1' d='M5.73 5.99l0 0c-0.17,0 -0.3,0.13 -0.3,0.3l0 1.05c0,0.17 0.13,0.3 0.3,0.3 0.17,0 0.3,-0.13 0.3,-0.3l0 -1.05c0,-0.17 -0.13,-0.3 -0.3,-0.3z'/%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
  left: -10px;
  top: -10px;
  width: 20px;
  height: 20px;
  background-size: cover;
  background-repeat: no-repeat;
  z-index: 1;
}

.sts-progress {
  margin-top: 45px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.sts-progress .txt-ket {
  font-family: var(--brand-font-1);
  font-weight: 500;
  color: var(--warna-primer);
  font-size: 1.4em;
}

.sts-progress small {
  font-family: var(--brand-font-1);
  color: var(--warna-primer);
  font-size: 0.7em;
}
.sts-progress .title-card {
	width: 100%;
}
.sts-progress .ket-progress {
	width: 45%;
}
.sts-progress .ket-progress span {
  font-family: var(--brand-font-1);
  color: var(--warna-primer);
  font-size: 0.8em;
}

.sts-progress .ket-progress span:nth-child(1) {
  font-size: 1.5em;
}

.sts-progress .progress-bar {
  height: 5px;
  width: 100%;
  background: var(--warna-primer);
  position: relative;
  margin: 7px 0;
}

.sts-progress .progress-bar::before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  top: -5px;
  left: var(--value-progress);
  z-index: 1;
  background-color: var(--warna-sekunder);
}

.sts-progress .progress-bar::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: var(--value-progress);
  background-color: var(--warna-sekunder);
}

/* ----------- */
.sts-progress #progress-point::before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  top: -5px;
  left: var(--value-progress-point) !important;
  z-index: 1;
  background-color: var(--warna-sekunder);
}

.sts-progress #progress-point::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: var(--value-progress-point) !important;
  background-color: var(--warna-sekunder);
}

/* ------------------------------------- */
/* History Privilege Club::Page */
#history-transaction .row.content {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px;
}

#history-transaction .list-transaksi {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  flex-wrap: nowrap;
}

#history-transaction .row span {
  font-size: .8rem;
  font-weight: 200;
  color: var(--color-black-brand);
}

#history-transaction .row a {
  font-size: .8rem;
  font-weight: 200;
  color: var(--color-black-brand);
  text-decoration: none;
}

#history-transaction .content .list-transaksi,
#history-transaction .content .folder-date {
  padding: 0;
  width: 100%;
}

#history-transaction .content .folder-date {
  border-bottom: 1px solid var(--color-black-brand);
}

#history-transaction .content .list-transaksi {
  margin-top: 5px;
  margin-bottom: 15px;
}

#history-transaction .content .list-transaksi .left,
#history-transaction .content .list-transaksi .right {
  display: flex;
  flex-direction: column;
  width: auto;
}

#history-transaction .content .list-transaksi .right {
  text-align: right;
}

#history-transaction .content .list-transaksi .time {
  text-align: center;
}

#history-transaction .row.content .list-transaksi.reward a {
  color: #886b25;
}

#history-transaction .row.content .list-transaksi.redeem a {
  color: #962f2f;
}

#privilege-club {
	font-family: var(--font-sekunder);
}
/* ------------------------------------- */
.content-privilege-banner {
  position: absolute;
  color: #fff;
  text-align: start;
  left: 15vw;
}

.content-privilege-banner h1 {
  font-size: 3.3em;
  color: #ffffff;
  font-weight: 700;
}

.content-privilege-banner p {
  font-weight: 100;
}

.content-privilege-banner .l-join {
  background: #fff;
  padding: 10px 45px;
  text-decoration: none;
  font-weight: 500;
  color: #886b25;
  border-radius: 13px;
  margin-right: 35px;
}

.content-privilege-banner .l-ac {
  background: #fff;
  padding: 10px 45px;
  text-decoration: none;
  font-weight: 500;
  color: #886b25;
  border-radius: 13px;
}

@media screen and (max-width: 600px) {
  .content-privilege-banner {
    position: absolute;
    color: #fff;
    text-align: start;
    left: 8vw;
    top: 8vw;
  }

  .content-privilege-banner h1 {
    font-size: 2.3em;
    color: #ffffff;
    font-weight: 700;
  }

  .content-privilege-banner p {
    font-weight: 400;
    margin-right: 35px;
  }

  .content-privilege-banner .l-join {
    background: #fff;
    padding: 10px 45px;
    text-decoration: none;
    font-weight: 500;
    color: #886b25;
    border-radius: 13px;
    margin-right: 35px;
    display: block;
    width: auto;
    /* max-width: 315px; */
    text-align: center;
    margin-bottom: 10px;
  }

  .content-privilege-banner .l-ac {
    background: #fff;
    padding: 10px 45px;
    text-decoration: none;
    font-weight: 500;
    color: #886b25;
    border-radius: 13px;
    margin-right: 35px;
    display: block;
    /* width: auto; */
    /* max-width: 315px; */
    text-align: center;
  }

  .card-member .card.active .wrap-number {
    left: .5rem;
    bottom: .5rem;
    gap: 1px;
  }

  .card-member .card.active .wrap-date {
    right: .5rem;
    bottom: .4rem;
    gap: 1px;
  }

  .card-member .card.active .wrap-number .number-member {
    font-size: .4em;
  }

  .card-member .card.active .wrap-number .name-member {
    font-size: .3em;
  }

  .card-member .card.active .wrap-date .txt-date,
  .card-member .card.active .wrap-date .date {
    font-size: .2rem;
  }
}

.col-md-6 {
	width: 48%;
	@media (max-width: 480px) {
		width: 100%;
	}
}
#group-code.input-group {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	gap: 25px;
	justify-content: center;
}

#group-code.input-group .input-code {
	border: 1px solid var(--warna-sekunder);
	border-radius: 10px;
	height: auto;
	width: 4em;
	text-align: center;
	aspect-ratio: 1/1;
}

/* Chrome, Safari, Edge, Opera */
#group-code.input-group input::-webkit-outer-spin-button,
#group-code.input-group input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
#group-code.input-group input[type=number] {
	-moz-appearance: textfield;
}

.input-submit {
	display: flex;
	justify-content: center;
	align-items: center;
}

#form-verif {
	top: 0px;
	margin-bottom: 0;
	padding-top: 1.5rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

#form-verif .description {
	color: #8d8d8d;
}

#form-verif .description span.title {
	color: var(--warna-primer);
	font-weight: 300;
	font-size: 2rem;
	line-height: 2rem;
}

#form-verif .description p {
	margin-top: 2rem;
	margin-bottom: 2rem;
	font-weight: 400;
	font-size: .8rem;
	line-height: 1rem;
	text-align: center;
}

#form-verif.verif-form small {
	text-align: center;
	padding-top: .7rem;
	width: 100%;
}

#form-verif.verif-form small a {
	text-decoration: underline;
	color: var(--warna-primer);
}

#content-history {
	font-family: var(--font-sekunder);
}










